Retrieve interconnect adapter information for nodes in MetroCluster
Accesses interconnect adapter information for nodes in the MetroCluster configuration. Use this to review connectivity details essential for maintaining MetroCluster operations.
HTTP method and endpoint
GET /cluster/metrocluster/interconnects
Introduced in
ONTAP 9.8
Usage notes
Retrieves a list of interconnect adapter information for nodes in the MetroCluster.
Related ONTAP Commands
-
metrocluster interconnect show
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
partner_type |
string |
query |
False |
Filter by partner_type |
node.name |
string |
query |
False |
Filter by node.name |
node.uuid |
string |
query |
False |
Filter by node.uuid |
vlan_id |
integer |
query |
False |
Filter by vlan_id
|
state |
string |
query |
False |
Filter by state |
adapter |
string |
query |
False |
Filter by adapter |
interfaces.gateway |
string |
query |
False |
Filter by interfaces.gateway
|
interfaces.netmask |
string |
query |
False |
Filter by interfaces.netmask
|
interfaces.address |
string |
query |
False |
Filter by interfaces.address
|
mirror.enabled |
boolean |
query |
False |
Filter by mirror.enabled
|
mirror.state |
string |
query |
False |
Filter by mirror.state
|
type |
string |
query |
False |
Filter by type |
multipath_policy |
string |
query |
False |
Filter by multipath_policy
|
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
num_records |
integer |
Number of Records |
records |
array[metrocluster_interconnect] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"num_records": 1,
"records": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"adapter": "string",
"interfaces": [
{
"address": "10.10.10.7",
"gateway": "10.1.1.1",
"netmask": "24"
}
],
"mirror": {
"state": "string"
},
"multipath_policy": "string",
"node": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"partner_type": "string",
"state": "string",
"type": "string",
"vlan_id": 0
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2424994 |
MetroCluster is not supported when HAOSC is not set to "mcc", "mcc-2n" or "mccip". Run the "ha-config modify chassis" and "ha-config modify controller" commands in maintenance mode to change the HAOSC settings on node "node" in cluster "cluster". |
2425734 |
An internal error occurred. Wait a few minutes, and try the operation again. For further assistance, contact technical support. |
2427132 |
MetroCluster is not configured on this cluster. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
collection_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
self_link
| Name | Type | Description |
|---|---|---|
self |
interfaces
Object to setup an interface along with its default router.
| Name | Type | Description |
|---|---|---|
address |
string |
IPv4 or IPv6 address |
gateway |
string |
The IPv4 or IPv6 address of the default router. |
netmask |
string |
Input as netmask length (16) or IPv4 mask (255.255.0.0). For IPv6, the default value is 64 with a valid range of 1 to 127. Output is always netmask length. |
mirror
| Name | Type | Description |
|---|---|---|
enabled |
boolean |
Specifies the administrative state of the NVRAM mirror between partner nodes. |
state |
string |
Specifies the operational state of the NVRAM mirror between partner nodes. |
_links
| Name | Type | Description |
|---|---|---|
self |
node
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
metrocluster_interconnect
Data for a MetroCluster interconnect. REST: /api/cluster/metrocluster/interconnects
| Name | Type | Description |
|---|---|---|
_links |
||
adapter |
string |
Adapter |
interfaces |
array[interfaces] |
List of objects which contain interface information such as its IP address, netmask and gateway. |
mirror |
||
multipath_policy |
string |
Displays the NVRAM mirror multipath policy for the nodes configured in a MetroCluster. |
node |
||
partner_type |
string |
Partner type |
state |
string |
Adapter status |
type |
string |
Adapter type |
vlan_id |
integer |
VLAN ID |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |